ICU 55.1 55.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r : UText
- range : icu::UnicodeSetIterator
- rbcFromUCollator() : icu::RuleBasedCollator
- reflow() : icu::ParagraphLayout
- refreshInputText() : icu::RegexMatcher , icu::BreakIterator , icu::RuleBasedBreakIterator
- RegexMatcher() : icu::RegexMatcher
- RegexPattern() : icu::RegexPattern
- region() : icu::RegexMatcher
- regionDisplayName() : icu::LocaleDisplayNames
- regionEnd() : icu::RegexMatcher
- regionEnd64() : icu::RegexMatcher
- regionStart() : icu::RegexMatcher
- regionStart64() : icu::RegexMatcher
- registerAlias() : icu::Transliterator
- registerFactory() : icu::Calendar , icu::Collator , icu::NumberFormat , icu::Transliterator
- registerFinalValue() : icu::StringTrieBuilder
- registerInstance() : icu::BreakIterator , icu::Collator , icu::Transliterator
- registerNode() : icu::StringTrieBuilder
- RelativeDateTimeFormatter() : icu::RelativeDateTimeFormatter
- releaseBuffer() : icu::UnicodeString
- remove() : icu::UnicodeSet , icu::UnicodeString
- remove_prefix() : icu::StringPiece
- remove_suffix() : icu::StringPiece
- removeAll() : icu::UnicodeSet
- removeAllStrings() : icu::UnicodeSet
- removeBetween() : icu::UnicodeString
- replace : UReplaceableCallbacks , UTextFuncs , icu::UnicodeString , icu::UnicodeReplacer
- Replaceable() : icu::Replaceable
- replaceAll() : icu::RegexMatcher
- replaceBetween() : icu::UnicodeString
- replaceFieldTypes() : icu::DateTimePatternGenerator
- replaceFirst() : icu::RegexMatcher
- requireEnd() : icu::RegexMatcher
- resemblesPattern() : icu::UnicodeSet
- reserveAppendCapacity() : icu::Appendable , icu::UnicodeStringAppendable
- reserved1 : UTextFuncs
- reserved2 : UTextFuncs
- reserved3 : UTextFuncs
- reservedB3 : UIDNAInfo
- reservedByte : UDataInfo
- reservedField : UCharIterator
- reservedFn : UCharIterator
- reservedI2 : UIDNAInfo
- reservedI3 : UIDNAInfo
- reservedWord : UDataInfo
- reset() : icu::UnicodeSetIterator , icu::StringEnumeration , icu::BytesTrie , icu::BytesTrie::Iterator , icu::CanonicalIterator , icu::ErrorCode , icu::Normalizer , icu::RuleBasedBreakIterator , icu::UCharsTrie , icu::UCharsTrie::Iterator , icu::UnicodeSetIterator , icu::CollationElementIterator , icu::RegexMatcher , icu::SearchIterator , icu::StringSearch , icu::LEGlyphStorage , icu::LayoutEngine , icu::RunArray
- Reset() : icu::CheckedArrayByteSink
- reset() : icu::RegexMatcher
- resetBucketIterator() : icu::AlphabeticIndex
- resetIterator() : icu::ResourceBundle
- resetPreserveRegion() : icu::RegexMatcher
- resetRecordIterator() : icu::AlphabeticIndex
- resetToState() : icu::UCharsTrie , icu::BytesTrie
- resolveFields() : icu::Calendar
- resolveUnitPerUnit() : icu::MeasureUnit
- ResourceBundle() : icu::ResourceBundle
- retain() : icu::UnicodeSet
- retainAll() : icu::UnicodeSet
- retainBetween() : icu::UnicodeString
- reverse() : icu::UnicodeString
- roll() : icu::Calendar , icu::GregorianCalendar , icu::Calendar , icu::GregorianCalendar
- RuleBasedBreakIterator() : icu::RuleBasedBreakIterator
- RuleBasedCollator() : icu::RuleBasedCollator , icu::CollationKey , icu::RuleBasedCollator
- RuleBasedNumberFormat() : icu::RuleBasedNumberFormat
- RuleBasedTimeZone() : icu::RuleBasedTimeZone
- RunArray() : icu::RunArray